\name{tilingmouse11r10mmentrezgMAPCOUNTS} 

\alias{tilingmouse11r10mmentrezgMAPCOUNTS}


\title{Number of mapped keys for the maps in package tilingmouse11r10mmentrezg.db}

\description{
  tilingmouse11r10mmentrezgMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package tilingmouse11r10mmentrezg.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  tilingmouse11r10mmentrezgMAPCOUNTS
  mapnames <- names(tilingmouse11r10mmentrezgMAPCOUNTS)
  tilingmouse11r10mmentrezgMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package tilingmouse11r10mmentrezg.db
  checkMAPCOUNTS("tilingmouse11r10mmentrezg.db")
}

\keyword{datasets}

